DreamPie - The Python shell you've always dreamed about!

DreamPie crash on typing "for i in range("

Reported by Tjelvar Olsson on 2010-09-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
DreamPie
Undecided
Unassigned

Bug Description

Variables:
  File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
    {'win': []}

Traceback (most recent call last):
  File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
    win = rg.get_window()
AttributeError: 'gtk.EventBox' object has no attribute 'get_window'

Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.

Related branches

Noam Yorav-Raphael (noamraph) wrote :

This seems like a bug in PyGTK, since gtk.EventBox should have a method 'get_window'.

Does this happen every time you type 'for i in range('?

Can you try (in the regular Python shell, if you like) to run this:
>>> import gtk
>>> eb = gtk.EventBox()
>>> eb.get_window()

Thanks,
Noam

Changed in dreampie:
status: New → Incomplete

Hi Noam,

It does happen every time. I think it might have to do with the tooltip pop-up.

Let me know if you need any more info.

Cheers,

Tjelvar

> Date: Mon, 6 Sep 2010 06:00:17 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>
> This seems like a bug in PyGTK, since gtk.EventBox should have a method
> 'get_window'.
>
> Does this happen every time you type 'for i in range('?
>
> Can you try (in the regular Python shell, if you like) to run this:
> >>> import gtk
> >>> eb = gtk.EventBox()
> >>> eb.get_window()
>
> Thanks,
> Noam
>
> ** Changed in: dreampie
> Status: New => Incomplete
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DreamPie - The Python shell you've always dreamed about!: Incomplete
>
> Bug description:
> Variables:
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
> {'win': []}
>
> Traceback (most recent call last):
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
> win = rg.get_window()
> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>
> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe

Noam Yorav-Raphael (noamraph) wrote :

Hi Tjelvar,

Thanks.

Can you try to run this, and say what happens?

> python
>>> import gtk
>>> eb = gtk.EventBox()
>>> eb.get_window()

I expect an AttributeError, where what I get on my system (Ubuntu 10.04) is nothing (the method returns None.) If I'm correct, this is a bug in PyGTK on your system, that should be reported, and perhaps worked around in DreamPie.

Tjelvar Olsson (tjelvaro) wrote :

Hi Noam,

You were right.

>>> import gtk
>>> eb = gtk.EventBox()
>>> eb.get_window()
Traceback (most recent call last):
  File "", line 1, in
AttributeError: 'gtk.EventBox' object has no attribute 'get_window'

Not sure where to report the bug. I'm running Debian 5 (Lenny). The version of gtk seems to be 2.0.

$ pydoc gtk
Help on package gtk:

NAME
    gtk

FILE
    /var/lib/python-support/python2.5/gtk-2.0/gtk/__init__.py
...

Cheers,

Tjelvar

> Date: Mon, 6 Sep 2010 14:38:19 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>
> Hi Tjelvar,
>
> Thanks.
>
> Can you try to run this, and say what happens?
>
> > python
> >>> import gtk
> >>> eb = gtk.EventBox()
> >>> eb.get_window()
>
> I expect an AttributeError, where what I get on my system (Ubuntu 10.04)
> is nothing (the method returns None.) If I'm correct, this is a bug in
> PyGTK on your system, that should be reported, and perhaps worked around
> in DreamPie.
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DreamPie - The Python shell you've always dreamed about!: Incomplete
>
> Bug description:
> Variables:
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
> {'win': []}
>
> Traceback (most recent call last):
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
> win = rg.get_window()
> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>
> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe

Noam Yorav-Raphael (noamraph) wrote :

"dpkg -s python-gtk2" should give you the exact version of the package.
I think you should report this to the debian bug tracker:
http://www.debian.org/Bugs/Reporting

Can you please post a link to the bug page after you do so?

Thanks!

On Tue, Sep 7, 2010 at 6:37 AM, Tjelvar Olsson
<email address hidden> wrote:
> Hi Noam,
>
> You were right.
>
>>>> import gtk
>>>> eb = gtk.EventBox()
>>>> eb.get_window()
> Traceback (most recent call last):
>  File "", line 1, in
> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>
> Not sure where to report the bug. I'm running Debian 5 (Lenny). The
> version of gtk seems to be 2.0.
>
> $ pydoc gtk
> Help on package gtk:
>
> NAME
>    gtk
>
> FILE
>    /var/lib/python-support/python2.5/gtk-2.0/gtk/__init__.py
> ...
>
> Cheers,
>
> Tjelvar
>
>> Date: Mon, 6 Sep 2010 14:38:19 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>>
>> Hi Tjelvar,
>>
>> Thanks.
>>
>> Can you try to run this, and say what happens?
>>
>> > python
>> >>> import gtk
>> >>> eb = gtk.EventBox()
>> >>> eb.get_window()
>>
>> I expect an AttributeError, where what I get on my system (Ubuntu 10.04)
>> is nothing (the method returns None.) If I'm correct, this is a bug in
>> PyGTK on your system, that should be reported, and perhaps worked around
>> in DreamPie.
>>
>> --
>> DreamPie crash on typing "for i in range("
>> https://bugs.launchpad.net/bugs/630919
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in DreamPie - The Python shell you've always dreamed about!: Incomplete
>>
>> Bug description:
>> Variables:
>>   File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
>>     {'win': []}
>>
>> Traceback (most recent call last):
>>   File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
>>     win = rg.get_window()
>> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>>
>> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are subscribed to
> DreamPie.
>

Noam Yorav-Raphael (noamraph) wrote :

It turns out that get_window() was introduced in PyGTK 2.14. The 2.12 way (which still works) is widget.window.
So I switched and it should work now.
Fixed in revision 198.

Changed in dreampie:
status: Incomplete → Fix Committed
Tjelvar Olsson (tjelvaro) wrote :

Hi Noam,

If you let me know how to check out the latest revision from your project, I'll be happy to test your fix on my system.

Cheers,

Tjelvar

> Date: Tue, 21 Sep 2010 23:39:13 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>
> It turns out that get_window() was introduced in PyGTK 2.14. The 2.12 way (which still works) is widget.window.
> So I switched and it should work now.
> Fixed in revision 198.
>
>
> ** Changed in: dreampie
> Status: Incomplete => Fix Committed
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DreamPie - The Python shell you've always dreamed about!: Fix Committed
>
> Bug description:
> Variables:
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
> {'win': []}
>
> Traceback (most recent call last):
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
> win = rg.get_window()
> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>
> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe

Noam Yorav-Raphael (noamraph) wrote :

Great! Just run "bzr branch lp:dreampie" somewhere, then "cd
dreampie", "./dreampie"

Tjelvar Olsson (tjelvaro) wrote :

Hi Noam,

Just to let you know that it now works on my system.

Thank you.

Cheers,

Tjelvar

> Date: Sat, 25 Sep 2010 20:16:23 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: Re: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>
> Great! Just run "bzr branch lp:dreampie" somewhere, then "cd
> dreampie", "./dreampie"
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in DreamPie - The Python shell you've always dreamed about!: Fix Committed
>
> Bug description:
> Variables:
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
> {'win': []}
>
> Traceback (most recent call last):
> File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
> win = rg.get_window()
> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>
> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe

Noam Yorav-Raphael (noamraph) wrote :

Great, thanks!

On Sat, Oct 2, 2010 at 1:24 PM, Tjelvar Olsson
<email address hidden> wrote:
> Hi Noam,
>
> Just to let you know that it now works on my system.
>
> Thank you.
>
> Cheers,
>
> Tjelvar
>
>> Date: Sat, 25 Sep 2010 20:16:23 +0000
>> From: <email address hidden>
>> To: <email address hidden>
>> Subject: Re: [Bug 630919] Re: DreamPie crash on typing "for i in range("
>>
>> Great! Just run "bzr branch lp:dreampie" somewhere, then "cd
>> dreampie", "./dreampie"
>>
>> --
>> DreamPie crash on typing "for i in range("
>> https://bugs.launchpad.net/bugs/630919
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in DreamPie - The Python shell you've always dreamed about!: Fix Committed
>>
>> Bug description:
>> Variables:
>>   File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, on_resizegrip_event(self=<dreampi...x8a6a70c>, _widget=<gtk.Eve...89aaca8)>, event=<GdkEven...bf8117a0>)
>>     {'win': []}
>>
>> Traceback (most recent call last):
>>   File "/home/tolsson/source/dreampie/dreampie-1.1/dreampielib/gui/call_tip_window.py", line 184, in on_resizegrip_event
>>     win = rg.get_window()
>> AttributeError: 'gtk.EventBox' object has no attribute 'get_window'
>>
>> Using Debian 5 (Lenny). DreamPie installed from source code using 'python setup.py install'.
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/dreampie/+bug/630919/+subscribe
>
> --
> DreamPie crash on typing "for i in range("
> https://bugs.launchpad.net/bugs/630919
> You received this bug notification because you are subscribed to
> DreamPie.
>

Changed in dreampie:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers